%define version 1.6
%define libname %mklibname ircclient
%define libnamedev %mklibname -d ircclient
%define sname libircclient

Summary:       Library, which implements client-server IRC protocol.
Summary(de):   Bibliothek, welche das Klient-Server IRC Protokoll implementiert.
Name:          %{libname}
Version:       %{version}
Release:       %mkrel 1
Group:         System/Libraries
License:       LGPLv2
URL:           http://www.ulduzsoft.com/libircclient/
Source0:       http://sourceforge.net/projects/libircclient/files/libircclient/%{version}/%{sname}-%{version}.tar.xz
Patch0:		libircclient-1.3-headers.patch
Patch1:		libircclient-1.5-include-rfc.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	%sname
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
libircclient is a small but powerful library, which implements client-server IRC protocol. 
It has all features needed to create your own IRC client or bot, including multi-threading 
support, sync and async interfaces, CTCP/DCC support, colors, SSL connections and so on.

This package contains shared libraries which are necessary for programs which are dynamicly
linked against libircclient.

%description -l de
libircclient ist eine kleine aber mächtige Bibliothek, welche das Klient-Server IRC-Protokoll
implementiert. Sie hat alle Eigenschaften, die gebraucht werden, damit Sie ihren eigenen IRC-
Klienten oder Bot erstellen können. Dazu zählen unter Anderem Multi Threading-Unterstütung,
synchrones und asynchrones Interface, CTCP/DCC Unterstützung, Farben, SSL Verbindungen und so weiter.

Dieses Paket enthält gemeinsame Bibliotheken, die für Programme nötig sind, welche dynamisch gegen
libircclient gelinkt sind.

%package -n %libnamedev
Summary:       Development files for %name.
Summary(de):   Entwicklungsdateien für %name.
Group: Development/C
Provides: %sname-devel = %version-%release
Requires: %libname = %{version}-%{release}

%description -n %libnamedev
libircclient is a small but powerful library, which implements client-server IRC protocol. 
It has all features needed to create your own IRC client or bot, including multi-threading 
support, sync and async interfaces, CTCP/DCC support, colors, SSL connections and so on.

This package contains headers and libraries which are necessary of you want to develop
programs which use libircclient.

%description -n %libnamedev -l de
libircclient ist eine kleine aber mächtige Bibliothek, welche das Klient-Server IRC-Protokoll
implementiert. Sie hat alle Eigenschaften, die gebraucht werden, damit Sie ihren eigenen IRC-
Klienten oder Bot erstellen können. Dazu zählen unter Anderem Multi Threading-Unterstütung,
synchrones und asynchrones Interface, CTCP/DCC Unterstützung, Farben, SSL Verbindungen und so weiter.

Dieses Paket enthält Header und Bibliotheken, die nötig sind, wenn Sie Programme entwickeln möchten,
die libircclient benutzen.

%prep
%setup -q -n %sname-%version
%patch0 -p1 -b .headers
%patch1 -p0 -b .rfc

%build

%configure2_5x --enable-openssl --enable-ipv6 --enable-shared --enable-threads --prefix=/usr

sed -i 's/install: lib/install:/g' %_topdir/BUILD/%sname-%version/src/Makefile

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}


%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%files -n %libname
%defattr(-,root,root)
%doc Changelog LICENSE README THANKS
#%{_libdir}/libircclient.so
/usr/lib/libircclient.so

%files -n %libnamedev
%defattr(-,root,root,-)
%{_includedir}/*.h

%changelog
* Thu Aug 02 2012 Neal <nealbrks0 at gmail dot com> 1.6-1pclos2012
- process

* Wed Aug 01 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.6-1pclos2012
- inital package for pclos

